Bug 107164 - [patch:fix] sysutils/gkrellm2: CC/CXX safeness
Summary: [patch:fix] sysutils/gkrellm2: CC/CXX safeness
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-24 08:00 UTC by Mario Sergio Fujikawa Ferreira
Modified: 2007-01-17 15:00 UTC (History)
1 user (show)

See Also:


Attachments
patch (261 bytes, patch)
2006-12-24 08:00 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff
patch-audio__gkrellmvolume2__Makefile (339 bytes, text/plain; charset=us-ascii)
2006-12-24 15:22 UTC, Mario Sergio Fujikawa Ferreira
no flags Details
patch-mail__gkrellmmailwatch2__Makefile (329 bytes, text/plain; charset=us-ascii)
2006-12-24 15:22 UTC, Mario Sergio Fujikawa Ferreira
no flags Details
patch-misc__gkrellweather2__Makefile (317 bytes, text/plain; charset=us-ascii)
2006-12-24 15:22 UTC, Mario Sergio Fujikawa Ferreira
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sergio Fujikawa Ferreira freebsd_committer 2006-12-24 08:00:25 UTC
	Enforce CC/CXX safeness when building the port.

How-To-Repeat: 
	Just rebuild the port sysutils/gkrellm2 with CC set to
anything different than CC=cc inside /etc/make.conf to verify that
the port does not honor CC.
Comment 1 Edwin Groothuis freebsd_committer 2006-12-24 08:00:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Over to maintainer
Comment 2 Mario Sergio Fujikawa Ferreira freebsd_committer 2006-12-24 15:22:47 UTC
  Additional ports that also require a fix.

- audio/gkrellmvolume2
patch-audio__gkrellmvolume2__Makefile

- misc/gkrellweather2
patch-misc__gkrellweather2__Makefile

- mail/gkrellmmailwatch2
patch-mail__gkrellmmailwatch2__Makefile

-- 
Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
feature, n: a documented bug | bug, n: an undocumented feature
Comment 3 dfilter service freebsd_committer 2006-12-26 03:49:16 UTC
ume         2006-12-26 03:49:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/gkrellm2    Makefile 
    sysutils/gkrellm2/files patch-src::configure 
                            patch-src:Makefile 
  Added files:
    sysutils/gkrellm2/files patch-src::mail.c 
  Log:
  - Respect CC. [1]
  - Fix detection of GNUTLS.  WITH_GNUTLS should work, again.
  - Bump PORTREVISION.
  
  PR:             ports/107164 [1]
  
  Revision  Changes    Path
  1.123     +2 -2      ports/sysutils/gkrellm2/Makefile
  1.4       +14 -6     ports/sysutils/gkrellm2/files/patch-src::configure
  1.3       +12 -0     ports/sysutils/gkrellm2/files/patch-src::mail.c (new)
  1.10      +14 -4     ports/sysutils/gkrellm2/files/patch-src:Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2006-12-26 04:07:23 UTC
ume         2006-12-26 04:07:17 UTC

  FreeBSD ports repository

  Modified files:
    audio/gkrellmvolume2 Makefile 
  Log:
  Respect CC.
  
  PR:             ports/107164
  Submitted by:   lioux
  
  Revision  Changes    Path
  1.25      +1 -1      ports/audio/gkrellmvolume2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2007-01-17 14:52:37 UTC
ume         2007-01-17 14:52:30 UTC

  FreeBSD ports repository

  Modified files:
    mail/gkrellmmailwatch2 Makefile 
  Log:
  Respect CC.
  
  PR:             ports/107164
  Submitted by:   lioux
  Approved by:    maintainer (timeout)
  
  Revision  Changes    Path
  1.10      +1 -1      ports/mail/gkrellmmailwatch2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Hajimu UMEMOTO freebsd_committer 2007-01-17 14:53:29 UTC
State Changed
From-To: open->closed

Thanks, committed!